<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:s1="http://ws.strikeiron.com" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:s0="http://swanandmokashi.com" xmlns:si="http://www.strikeiron.com" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" targetNamespace="http://swanandmokashi.com" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://swanandmokashi.com">
      <s:element name="GetQuotes">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="QuoteTicker" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetQuotesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetQuotesResult" type="s0:ArrayOfQuote" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfQuote">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Quote" type="s0:Quote" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Quote">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="CompanyName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="StockTicker" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="StockQuote" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="LastUpdated" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Change" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="OpenPrice" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="DayHighPrice" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="DayLowPrice" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Volume" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="MarketCap" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="YearRange" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="ExDividendDate" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="DividendYield" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="DividendPerShare" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="ArrayOfQuote" nillable="true" type="s0:ArrayOfQuote" />
    </s:schema>
    <s:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns1="http://ws.strikeiron.com" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://ws.strikeiron.com">
      <xs:element name="LicenseInfo" type="tns1:LicenseInfo" />
      <xs:complexType name="LicenseInfo">
        <xs:sequence>
          <xs:element minOccurs="0" name="UnregisteredUser" type="tns1:UnregisteredUser" />
          <xs:element minOccurs="0" name="RegisteredUser" type="tns1:RegisteredUser" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="UnregisteredUser">
        <xs:sequence>
          <xs:element minOccurs="0" name="EmailAddress" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="RegisteredUser">
        <xs:sequence>
          <xs:element minOccurs="0" name="UserID" type="xs:string" />
          <xs:element minOccurs="0" name="Password" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:element name="SubscriptionInfo" type="tns1:SubscriptionInfo" />
      <xs:complexType name="SubscriptionInfo">
        <xs:sequence>
          <xs:element name="LicenseStatusCode" type="xs:int" />
          <xs:element minOccurs="0" name="LicenseStatus" type="xs:string" />
          <xs:element name="LicenseActionCode" type="xs:int" />
          <xs:element minOccurs="0" name="LicenseAction" type="xs:string" />
          <xs:element name="RemainingHits" type="xs:int" />
          <xs:element name="Amount" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:element name="GetRemainingHits">
        <xs:complexType />
      </xs:element>
      <xs:element name="GetRemainingHitsResponse">
        <xs:complexType />
      </xs:element>
    </s:schema>
  </types>
  <message name="GetQuotesSoapIn">
    <part name="parameters" element="s0:GetQuotes" />
  </message>
  <message name="GetQuotesSoapOut">
    <part name="parameters" element="s0:GetQuotesResponse" />
  </message>
  <message name="GetQuotesHttpGetIn">
    <part name="QuoteTicker" type="s:string" />
  </message>
  <message name="GetQuotesHttpGetOut">
    <part name="Body" element="s0:ArrayOfQuote" />
  </message>
  <message name="GetQuotesHttpPostIn">
    <part name="QuoteTicker" type="s:string" />
  </message>
  <message name="GetQuotesHttpPostOut">
    <part name="Body" element="s0:ArrayOfQuote" />
  </message>
  <message name="GetRemainingHitsSoapIn">
    <part name="parameters" element="s1:GetRemainingHits" />
  </message>
  <message name="GetRemainingHitsSoapOut">
    <part name="parameters" element="s1:GetRemainingHitsResponse" />
  </message>
  <message name="LicenseInfoMessage">
    <part name="LicenseInfo" element="s1:LicenseInfo" />
  </message>
  <message name="SubscriptionInfoMessage">
    <part name="SubscriptionInfo" element="s1:SubscriptionInfo" />
  </message>
  <portType name="StockQuotesSoap">
    <operation name="GetStockQuotes">
      <documentation>Retrieves the latest(20 minutes delay) stock quote of a stock ticker. To get multiple quotes enter Ticker symbols seperated by ,(eg. MSFT,YHOO,GE) or space (eg. MSFT YHOO GE). &lt;BR&gt;Gives the company name ,ticker,Stock Quote, Change,Open price ,Day's range(high and low),Volume, the Market Cap and the Year range of the stock price.&lt;BR&gt;&lt;B&gt;Powered by Yahoo!'s stock Quotes service.Not for commerical use.&lt;/b&gt;</documentation>
      <input name="GetQuotes" message="s0:GetQuotesSoapIn" />
      <output name="GetQuotes" message="s0:GetQuotesSoapOut" />
    </operation>
    <operation name="GetRemainingHits">
      <input message="s0:GetRemainingHitsSoapIn" />
      <output message="s0:GetRemainingHitsSoapOut" />
    </operation>
  </portType>
  <binding name="StockQuotesSoap" type="s0:StockQuotesSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document" />
    <operation name="GetStockQuotes">
      <soap:operation soapAction="http://swanandmokashi.com/GetQuotes" style="document" />
      <input name="GetQuotes">
        <soap:body use="literal" />
        <soap:header message="s0:LicenseInfoMessage" part="LicenseInfo" use="literal" />
      </input>
      <output name="GetQuotes">
        <soap:body use="literal" />
        <soap:header message="s0:SubscriptionInfoMessage" part="SubscriptionInfo" use="literal" />
      </output>
    </operation>
    <operation name="GetRemainingHits">
      <soap:operation soapAction="http://ws.strikeiron.com/SwanandMokashi/StockQuotes/GetRemainingHits" />
      <input>
        <soap:body use="literal" />
        <soap:header message="s0:LicenseInfoMessage" part="LicenseInfo" use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
        <soap:header message="s0:SubscriptionInfoMessage" part="SubscriptionInfo" use="literal" />
      </output>
    </operation>
  </binding>
  <service name="StockQuotes">
    <port name="StockQuotesSoap" binding="s0:StockQuotesSoap">
      <soap:address location="http://ws.strikeiron.com/SwanandMokashi/StockQuotes" />
    </port>
  </service>
</definitions>